<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"        
        xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" template="./../plantillas/plantilla1.xhtml">
        <!-- Contenedor -->
        <ui:define name="content"><br/><br/><br/>
            
            <section>
                <div class="titulo1">Gestión de Profesores</div>
            </section>
            
             <section>
                <div class="col-lg-12" align="right">
                    <a href="nuevo_profesor.jsf" class="btn">+Nuevo</a>
                </div>
            </section><br/><br/>
            
            <section>
                <h:form id="listaProfesores" class="form-horizontal"><br/>
                    <div class="table table-responsive" >
                                <table id="profesor" class="table table-striped table-bordered table-hover table-condensed">
                                    <!-- Cabecera de la tabla -->
                                    <thead>
                                        <tr>
                                            <th><center>Apellido</center></th>
                                            <th><center>Nombre</center></th>
                                            <th><center>Grado</center></th>
                                            <th><center>Carnet</center></th>
                                            <th><center>Ver</center></th>
                                        </tr>
                                    </thead>
                                    <!-- Cuerpo de la tabla -->
                                    <tbody>
                                        <ui:repeat value="#{profesorBean.todosProfesores()}" var="profesor" >
                                            <tr>
                                                <td>#{profesor.profesorApellido}</td>
                                                <td>#{profesor.profesorNombre}</td>
                                                <td align="center">#{profesor.gradoId.gradoNombre}</td>
                                                <td align="center">#{profesor.profesorCarnet}</td>
                                                <td align="center">
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-eye-open"
                                                                   pt:data-toggle="modal" pt:data-target="#verProfesor">
                                                        <f:setPropertyActionListener value="#{profesor}" target="#{profesorBean.profesorSeleccionado}"/>
                                                        <p:ajax process="@this" update=":listaProfesores:ver"/>
                                                    </h:commandLink>
                                                    <label></label>
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-pencil"
                                                                   pt:data-toggle="modal" pt:data-target="#editarProfesor">
                                                        <f:setPropertyActionListener value="#{profesor}" target="#{profesorBean.profesorSeleccionado}"/>
                                                        <p:ajax process="@this" update=":listaProfesores:editar"/>
                                                    </h:commandLink>
                                                    <label></label>
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-remove"
                                                                   pt:data-toggle="modal" pt:data-target="#eliminarProfesor">
                                                        <f:setPropertyActionListener value="#{profesor}" target="#{profesorBean.profesorSeleccionado}"/>
                                                        <p:ajax process="@this" update=":listaProfesores:eliminar"/>
                                                    </h:commandLink>
                                                </td>
                                            </tr>
                                        </ui:repeat>
                                    </tbody> 
                                </table>
                            </div>
                            
                            <!-- Modal verUsuario -->
                            <div id="verProfesor" class="modal">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        
                                        <!-- Cabecera del modal -->
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title"><font color="507642">Profesor</font></h4>
                                        </div>
                                        
                                        <!-- Cuerpo del modal -->
                                        <div class="modal-body">
                                            <h:panelGrid id="ver" columns="2" border="0">
                                                <!-- Nombre -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Nombre:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.profesorNombre}"/>
                                                    </div>
                                                </div>
                                                <!-- Apellido -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Apellido:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.profesorApellido}"/>
                                                    </div>
                                                </div>
                                                <!-- Grado -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Grado:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.gradoId.gradoNombre}"/>
                                                    </div>
                                                </div>
                                                <!-- Dirección -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Dirección:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.profesorDireccion}"/>
                                                    </div>
                                                </div> 
                                                <!-- Teléfono -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Teléfono:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.profesorTelefono}"/>
                                                    </div>
                                                </div> 
                                                <!-- Carnet -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Carnet:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.profesorCarnet}"/>
                                                    </div>
                                                </div> 
                                                <!-- Fecha de Naciemiento -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Nacimiento:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{profesorBean.profesorSeleccionado.profesorFecha}">
                                                            <f:convertDateTime pattern="dd-MM-yyyy"/>
                                                        </h:outputText>
                                                    </div>
                                                </div> 
                                            </h:panelGrid>  
                                        </div>
                                    </div>
                                </div>
                            </div>
                                                        
                            <!-- Modal editarProfesor -->
                            <div id="editarProfesor" class="modal">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        
                                        <!-- Cabecera del modal -->
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title"><font color="507642">Editar Profesor</font></h4>
                                        </div>
                                        
                                        <!-- Cuerpo del modal -->
                                        <div class="modal-body">
                                            <h:panelGroup id="editar" class="form-horizontal">
                                                <p:focus for="nombre"/>
                                                <!-- Nombre -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Nombre:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputText id="nombre" class="form-control" value="#{profesorBean.profesorSeleccionado.profesorNombre}" style="width: 100%; height: 32px"
                                                                     required="true" requiredMessage="Escriba un nombre." validatorMessage="Escriba un nombre válido.">
                                                            <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                                                        </p:inputText>
                                                        <p:message for="nombre"/>
                                                    </div>
                                                </div>
                                                <!-- Apellido -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Apellido:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputText id="apellido" class="form-control" value="#{profesorBean.profesorSeleccionado.profesorApellido}" style="width: 100%; height: 32px"
                                                                     required="true" requiredMessage="Escriba un apellido." validatorMessage="Escriba un apellido válido.">
                                                            <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                                                        </p:inputText>
                                                        <p:message for="apellido"/>
                                                    </div>
                                                </div>
                                                <!-- Dirección -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Dirección:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputTextarea id="direccion" class="form-control" value="#{profesorBean.profesorSeleccionado.profesorDireccion}" style="width: 100%"
                                                                         rows="3" autoResize="false" validatorMessage="Máximo 250 caracteres.">
                                                            <f:validateRegex pattern="^(.{0,250})*$"/>
                                                        </p:inputTextarea>
                                                        <p:message for="direccion"/>
                                                    </div>
                                                </div>
                                                <!-- Fecha Nac. -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Fecha Nac:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputMask id="fecha" class="form-control" value="#{profesorBean.profesorSeleccionado.profesorFecha}" style="width: 30%; height: 32px" mask="99-99-9999">
                                                            <f:convertDateTime pattern="dd-MM-yyyy"/>
                                                        </p:inputMask>
                                                        <p:message for="fecha"/>
                                                    </div>
                                                </div>
                                                <!-- Teléfono -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Teléfono:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputMask id="telefono" class="form-control" value="#{profesorBean.profesorSeleccionado.profesorTelefono}" style="width: 30%; height: 32px" mask="9999-9999"/>
                                                        <p:message for="telefono"/>
                                                    </div>
                                                </div>
                                                <!-- Grado -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Grado:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <h:selectOneMenu id="grado" class="form-control" value="#{profesorBean.profesorSeleccionado.gradoId}" style="width: 30%; height: 32px" converter="#{gradoConvertidor}">
                                                            <f:selectItem itemLabel="Seleccionar..." noSelectionOption="true" itemValue=""/>
                                                            <f:selectItems value="#{profesorBean.todosGrados()}" var="grado" itemLabel="#{grado.gradoNombre}" itemValue="#{grado}"/>
                                                        </h:selectOneMenu>
                                                        <p:message for="grado"/>
                                                    </div>
                                                </div>
                                                <!-- Carnet -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Carnet:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputText id="carnet" class="form-control" value="#{profesorBean.profesorSeleccionado.profesorCarnet}" disabled="true" style="width: 30%; height: 32px"
                                                                     required="true" requiredMessage="Escriba un carnet."/>
                                                        <p:message for="carnet"/>
                                                    </div>
                                                </div>
                                                
                                            </h:panelGroup>  
                                        </div>
                                        
                                        <!-- Pie del modal -->
                                        <div class="modal-footer">
                                            <p:commandButton id="actualizar" process="@this editar" update="editar" oncomplete="estiloTabla();" type="submit" value="Actualizar" action="#{profesorBean.actualizarProfesor()}" style="background: white; width: 80pt; height: 26pt"/>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            
                            <!-- Modal eliminarProfesor -->
                            <div id="eliminarProfesor" class="modal">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        
                                        <!-- Cabecera del modal -->
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title"><font color="507642">Eliminar</font></h4>
                                        </div>
                                        
                                        <!-- Cuerpo del modal -->
                                        <div class="modal-body">
                                            <h:panelGroup id="eliminar" class="form-horizontal">
                                                <!-- Usuario -->
                                                <div class="row">
                                                    <div class="col-xs-12" align="center">
                                                        <label style="color: red; font-size: 20px">¿Esta seguro de realizar esta acción?</label><br/>
                                                        <label style="color: red; font-size: 20px">El profesor se eliminará permanentemente del sistema.</label>
                                                    </div>
                                                </div><br/>
                                                
                                                <div class="row">
                                                    <div class="col-xs-12" align="center">
                                                        <p:commandButton type="submit" value="Cancelar" action="#{profesorBean.cerrarModal()}" style="background: white; width: 80pt; height: 26pt"/>
                                                        <label> </label>
                                                        <p:commandButton id="aceptar" process="@this eliminar" update="eliminar" oncomplete="estiloTabla();" type="submit" value="Eliminar" action="#{profesorBean.eliminarProfesor()}" style="background: white; width: 80pt; height: 26pt"/>
                                                    </div>
                                                </div><br/>
                                            </h:panelGroup>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            
                </h:form>
            </section><br/><br/>
            
        </ui:define>
        <ui:define name="scripts">
            <script>
                $(document).ready(function() {
                    estiloTabla();
                });

                function estiloTabla() {
                    $('#profesor').dataTable(
                            {
                                "bDestroy": true,
                                "oLanguage": {
                                    "sProcessing": "Procesando...",
                                    "sLengthMenu": "Mostrar _MENU_ registros",
                                    "sZeroRecords": "No se encontraron resultados",
                                    "sEmptyTable": "Ningún dato disponible en esta tabla",
                                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                                    "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                                    "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                                    "sInfoPostFix": "",
                                    "sSearch": "Buscar:",
                                    "sUrl": "",
                                    "sInfoThousands": ",",
                                    "sLoadingRecords": "Cargando...",
                                    "oPaginate": {
                                        "sFirst": "Primero",
                                        "sLast": "Último",
                                        "sNext": "Siguiente",
                                        "sPrevious": "Anterior"
                                    },
                                    "oAria": {
                                        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                                        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                                    }
                    }
                });
            }
            </script>
        </ui:define>
    </ui:composition>
</html>
